# $Revision: 1.20 $, $Date: 2005/12/31 10:36:33 $
Summary:	Object-Relational mapping library for Ruby
Summary(pl):	Biblioteka odwzorowa obiektowo-relacyjnych dla Ruby
Name:		ruby-ActionPack
%define tarname actionpack
Version:	1.10.1
Release:	2
License:	Ruby-alike
Group:		Development/Languages
Source0:	http://rubyforge.org/download.php/6572/%{tarname}-%{version}.tgz
# Source0-md5:	e20151363f754692c68519b13c1a4377
URL:		http://actionpack.rubyonrails.org/
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby-modules
%{?ruby_mod_ver_requires_eq}
#BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Action Pack splits the response to a web request into a controller
part (performing the logic) and a view part (rendering a template).
This two-step approach is known as an action, which will normally
create, read, update, or delete (CRUD for short) some sort of model
part (often database) before choosing either to render a template or
redirecting to another action.

%description -l pl
Action Pack dzieli odpowied na danie WWW na cz sterujc
(wykonujc logik) i cz widokow (przetwarzajc szablon). To
dwukrokowe podejcie jest znane jako akcja, ktra zwykle tworzy,
czyta, uaktualnia lub usuwa (create, read, update, delete - CRUD)
jaki rodzaj czci modelu (zwykle bazy danych) przed wybraniem czy
przetwarza szablon, czy przekierowa do innej akcji.

%prep
%setup -q -n %{tarname}-%{version}

%build
rdoc --ri --op ri lib
rdoc --op rdoc lib

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_rubylibdir},%{ruby_ridir}}
cp -a lib/* $RPM_BUILD_ROOT%{ruby_rubylibdir}
cp -a ri/ri/* $RPM_BUILD_ROOT%{ruby_ridir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README rdoc
%{ruby_rubylibdir}/*
%{ruby_ridir}/ActionController
%{ruby_ridir}/ActionView
%{ruby_ridir}/CGIMethods

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ruby-ActionPack.spec,v $
Revision 1.20  2005/12/31 10:36:33  twittner
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

Revision 1.19  2005/12/29 16:59:47  twittner
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.18  2005/12/27 09:25:37  twittner
- (B)R: s/ruby/ruby-modules/, rel. 2 (mass commit through script)

Revision 1.17  2005/11/19 13:32:04  glen
- use system ruby macros
- cleanups, corrections, cosmetics

Revision 1.16  2005/10/25 16:06:45  aredridel
- up to 1.10.1

Revision 1.15  2005/07/11 14:44:56  aredridel
- up to 1.9.1

Revision 1.14  2005/07/09 20:36:37  aredridel
- up to 1.9.0

Revision 1.13  2005/04/21 01:30:45  aredridel
- up to 1.8.1

Revision 1.12  2005/04/03 20:32:41  aredridel
- up to 1.7.0

Revision 1.11  2005/03/20 07:29:58  aredridel
- up to 1.5.1

Revision 1.10  2005/01/22 06:11:02  aredridel
- up to 1.3.1

Revision 1.9  2004/09/14 06:48:58  aredridel
- up to 0.8.5

Revision 1.8  2004/08/26 16:19:34  havner
- rel 1

Revision 1.7  2004/08/26 01:13:59  aredridel
- ruby does not handle libdir properly on amd64.
- will be noarch again after Ruby is patched.

Revision 1.6  2004/08/23 21:33:06  qboosh
- pl desc

Revision 1.5  2004/08/20 23:38:19  aredridel
- really up to 0.8.0

Revision 1.4  2004/08/20 19:52:47  aredridel
- up to 0.8.0

Revision 1.3  2004/08/19 05:16:02  aredridel
- make ri not conflict with Ruby

Revision 1.2  2004/08/19 02:36:57  aredridel
- better URL

Revision 1.1  2004/08/19 01:59:55  aredridel
- added
